import './App.css';
import { Routes, Route, Link } from "react-router-dom";
import SignIn from './SignIn';
import SignUp from './SignUp';
import Admin from './Admin';
import Home from './Home';
import ChatWindow from './ChatWindow';
import UserDashboard from './UserDashboard';
function App() {
  return (
    <div className="App">
      <Routes>
        <Route path="" element={<Home />} />
        <Route path="sign-in" element={<SignIn />} />
        <Route path="sign-up" element={<SignUp />} />
        <Route path="admin" element={<Admin />} />
        <Route path="chat-window" element={<ChatWindow />} />
        <Route path="user-dashboard" element={<UserDashboard />} />
      </Routes>
    </div>
  );
}

export default App;
